com.jogamp.gluegen.procaddress

## Class ProcAddressConfiguration

- java.lang.Object
- - com.jogamp.gluegen.JavaConfiguration
  - - com.jogamp.gluegen.procaddress.ProcAddressConfiguration

-     public class ProcAddressConfiguration
      extends JavaConfiguration

- - ### Field Summary

    - ### Fields inherited from class com.jogamp.gluegen.JavaConfiguration

      `DEBUG_IGNORES, DEBUG_RENAMES, LOG, NEWLINE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcAddressConfiguration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addForceProcAddressGen(String funcName)`
    `void` | `addLocalProcAddressCallingConvention(String funcName, String callingConvention)`
    `String` | `convertToFunctionPointerName(String funcName)`
    `protected void` | `dispatch(String cmd, StringTokenizer tok, File file, String filename, int lineNo)`
    `boolean` | `emitProcAddressTable()`
    `boolean` | `forceProcAddressGen(String funcName)`
    `List<String>` | `getForceProcAddressGen()`
    `String` | `getLocalProcAddressCallingConvention(String funcName)`
    `String` | `getLocalProcAddressCallingConvention4All()`
    `String` | `getProcAddressTableExpr()`
    `boolean` | `isForceProcAddressGen4All()`
    `boolean` | `isLocalProcAddressCallingConvention4All()`
    `protected String` | `readGetProcAddressTableExpr(StringTokenizer tok, String filename, int lineNo)`
    `protected void` | `readLocalProcAddressCallingConvention(StringTokenizer tok, String filename, int lineNo)`
    `protected void` | `readProcAddressNameExpr(StringTokenizer tok, String filename, int lineNo)`
    `protected void` | `setProcAddressNameExpr(String expr)`
    `boolean` | `skipProcAddressGen(String name)`
    `String` | `tableClassName()`
    `String` | `tableClassPackage()`

    - ### Methods inherited from class com.jogamp.gluegen.JavaConfiguration

      `accessControl, addClassJavadoc, addCustomJavaCode, addJavaPrologueOrEpilogue, addJavaSymbolRename, addMethodJavadoc, addTypeInfo, addUseNIODirectOnly, addUseNIOOnly, allStatic, canonicalStructFieldSymbol, className, customCCode, customJavaCodeForClass, doInclude, doIncludeAs, dumpIgnores, dumpIgnoresOnce, dumpRenames, dumpRenamesOnce, emissionStyle, emitImpl, emitInterface, extendedInterfaces, extendedParentClass, forcedStructs, forceStaticInitCode, getJavaSymbolRename, getRenamedJavaSymbols, gluegenRuntimePackage, implClassName, implementedInterfaces, implPackageName, imports, isForceUsingNIOOnly4All, isUnimplemented, javadocForClass, javadocForMethod, javaEpilogueForMethod, javaOutputDir, javaPrologueForMethod, manuallyImplement, manualStaticInitCall, nativeOutputDir, nativeOutputUsesJavaHierarchy, packageForStruct, packageName, parseTypeInfo, read, read, readAccessControl, readArgumentIsString, readBoolean, readClassJavadoc, readCustomCCode, readCustomJavaCode, readExtend, readExtendedIntfImplSymbols, readForceStaticInitCode, readIgnore, readIgnoreField, readIgnoreNot, readImplements, readJavaPrologueOrEpilogue, readManuallyImplement, readManualStaticInitCall, readMethodJavadoc, readOpaque, readParentClass, readRangeCheck, readRenameJavaSymbol, readRenameJavaType, readReturnedArrayLength, readReturnsString, readReturnValueCapacity, readReturnValueLength, readString, readStructPackage, readTemporaryCVariableAssignment, readTemporaryCVariableDeclaration, readUnignore, readUnimplemented, renameJavaType, returnedArrayLength, returnsString, returnValueCapacity, returnValueLength, runtimeExceptionType, setOutputRootDir, shouldIgnoreInImpl, shouldIgnoreInInterface, startsWithDescriptor, stringArguments, stringToPrimitiveType, structsOnly, tagNativeBinding, temporaryCVariableAssignments, temporaryCVariableDeclarations, typeInfo, unsupportedExceptionType, useNIODirectOnly, useNIOOnly`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcAddressConfiguration

          public ProcAddressConfiguration()

  - ### Method Detail

    - #### dispatch

          protected void dispatch(String cmd,
                      StringTokenizer tok,
                      File file,
                      String filename,
                      int lineNo)
                           throws IOException

      Overrides:
        `dispatch` in class `JavaConfiguration`
      Throws:
        `IOException`

    - #### readGetProcAddressTableExpr

          protected String readGetProcAddressTableExpr(StringTokenizer tok,
                                           String filename,
                                           int lineNo)

    - #### setProcAddressNameExpr

          protected void setProcAddressNameExpr(String expr)

    - #### readProcAddressNameExpr

          protected void readProcAddressNameExpr(StringTokenizer tok,
                                     String filename,
                                     int lineNo)

    - #### readLocalProcAddressCallingConvention

          protected void readLocalProcAddressCallingConvention(StringTokenizer tok,
                                                   String filename,
                                                   int lineNo)
                                                        throws IOException

      Throws:
        `IOException`

    - #### emitProcAddressTable

          public boolean emitProcAddressTable()

    - #### tableClassPackage

          public String tableClassPackage()

    - #### tableClassName

          public String tableClassName()

    - #### skipProcAddressGen

          public boolean skipProcAddressGen(String name)

    - #### isForceProcAddressGen4All

          public boolean isForceProcAddressGen4All()

    - #### getForceProcAddressGen

          public List<String> getForceProcAddressGen()

    - #### getProcAddressTableExpr

          public String getProcAddressTableExpr()

    - #### convertToFunctionPointerName

          public String convertToFunctionPointerName(String funcName)

    - #### forceProcAddressGen

          public boolean forceProcAddressGen(String funcName)

    - #### addForceProcAddressGen

          public void addForceProcAddressGen(String funcName)

    - #### addLocalProcAddressCallingConvention

          public void addLocalProcAddressCallingConvention(String funcName,
                                                  String callingConvention)

    - #### getLocalProcAddressCallingConvention

          public String getLocalProcAddressCallingConvention(String funcName)

    - #### isLocalProcAddressCallingConvention4All

          public boolean isLocalProcAddressCallingConvention4All()

    - #### getLocalProcAddressCallingConvention4All

          public String getLocalProcAddressCallingConvention4All()